"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

var _Paper = _interopRequireDefault(require("@material-ui/core/Paper"));

var _dxReactGrid = require("@devexpress/dx-react-grid");

var _dxReactGridMaterialUi = require("@devexpress/dx-react-grid-material-ui");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

var DataGrid = function DataGrid(props) {
  var rowData = props.rows;
  /*var max = Object.keys(rowData[0]).length;
  var columnHeaders = rowData[0];
  rowData.forEach( i=> {
      if(Object.keys(i).length > max) {
      max = Object.keys(i).length;
      columnHeaders = i;
      }
  });*/

  var columnData = props.columns;
  return /*#__PURE__*/_react["default"].createElement(_Paper["default"], null, /*#__PURE__*/_react["default"].createElement(_dxReactGridMaterialUi.Grid, {
    rows: rowData,
    columns: columnData
  }, /*#__PURE__*/_react["default"].createElement(_dxReactGrid.SortingState, {
    defaultSorting: props.sortingCol
  }), /*#__PURE__*/_react["default"].createElement(_dxReactGrid.IntegratedSorting, null), /*#__PURE__*/_react["default"].createElement(_dxReactGridMaterialUi.Table, null), /*#__PURE__*/_react["default"].createElement(_dxReactGridMaterialUi.TableHeaderRow, {
    showSortingControls: true
  })));
};

var _default = DataGrid;
exports["default"] = _default;