'use strict';

var bigInt = require('big-integer');

exports.GeneratePrime = function (bits) {
  var min = bigInt.one.shiftLeft(bits - 1);
  var max = bigInt.one.shiftLeft(bits).prev();

  while (true) {
    var p = bigInt.randBetween(min, max);

    if (p.isProbablePrime(256)) {
      return p;
    }
  }
};