"use strict";

var crypto = require('crypto');

var JSONCheck = require('../lib/JSONCheck.js');

module.exports = function (data, key) {
  var encrypted = "";
  var md5Key = crypto.createHash('md5').update(key).digest("hex").substr(0, 24);
  var cipher = crypto.createCipheriv('des-ede3', md5Key, '');

  if (JSONCheck.IsJson(data)) {
    encrypted = cipher.update(JSON.stringify(data), 'utf8', 'base64');
  } else {
    encrypted = cipher.update(data, 'utf8', 'base64');
  }

  encrypted += cipher["final"]('base64');
  return encrypted;
};