"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

var _agGridReact = require("ag-grid-react");

require("ag-grid-community/dist/styles/ag-grid.css");

require("ag-grid-community/dist/styles/ag-theme-alpine.css");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

var AgGrid = function AgGrid(props) {
  var rowData = props.data;
  var max = Object.keys(rowData[0]).length;
  var columnHeaders = rowData[0];
  rowData.forEach(function (i) {
    if (Object.keys(i).length > max) {
      max = Object.keys(i).length;
      columnHeaders = i;
    }
  });
  var cdata = Object.keys(columnHeaders);
  var columnData = cdata.map(function (data) {
    return /*#__PURE__*/_react["default"].createElement(_agGridReact.AgGridColumn, {
      field: data
    });
  });
  return /*#__PURE__*/_react["default"].createElement("div", {
    className: "ag-theme-alpine",
    style: {
      height: 400,
      width: 1000
    }
  }, /*#__PURE__*/_react["default"].createElement(_agGridReact.AgGridReact, {
    rowData: rowData
  }, columnData));
};

var _default = AgGrid;
exports["default"] = _default;