"use strict";

function _typeof(obj) { "@babel/helpers - typeof"; if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _react = _interopRequireWildcard(require("react"));

var _Radio = _interopRequireDefault(require("@mui/material/Radio"));

var _RadioGroup = _interopRequireDefault(require("@mui/material/RadioGroup"));

var _FormControlLabel = _interopRequireDefault(require("@mui/material/FormControlLabel"));

var _FormControl = _interopRequireDefault(require("@mui/material/FormControl"));

var _FormLabel = _interopRequireDefault(require("@mui/material/FormLabel"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }

function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || _typeof(obj) !== "object" && typeof obj !== "function") { return { "default": obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj["default"] = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

var RadioButton = function RadioButton(props) {
  var hasStyles = props.style ? true : false;
  var customStyle = props.style ? props.style : '';
  var invalidStyle = {
    border: '1px solid red',
    backgroundColor: '#fda49a'
  };
  var defaultStyle = {
    outline: 'none',
    border: '1px solid #ccc',
    backgroundColor: 'white',
    display: 'block',
    boxSizing: 'border-box',
    marginTop: '2px',
    marginBottom: '2px',
    position: relative,
    top: '10px',
    right: '3px'
  };
  var useStyles = makeStyles({
    style: defaultStyle,
    custom: customStyle,
    invalid: invalidStyle
  });
  var customClasses = useStyles();
  var kvPair = props.options;
  var Options = kvPair.map(function (data) {
    return /*#__PURE__*/_react["default"].createElement(_FormControlLabel["default"], {
      value: data.id,
      control: /*#__PURE__*/_react["default"].createElement(_Radio["default"], null),
      label: data.name
    });
  });
  return /*#__PURE__*/_react["default"].createElement(_FormControl["default"], {
    component: "fieldset"
  }, /*#__PURE__*/_react["default"].createElement(_FormLabel["default"], {
    component: "legend"
  }, props.title), /*#__PURE__*/_react["default"].createElement(_RadioGroup["default"], {
    className: clsx(customClasses.style, _defineProperty({}, customClasses.custom, hasStyles), _defineProperty({}, customClasses.invalid, props.invalid && props.shouldValidate && props.touched)),
    row: true,
    value: props.value,
    onChange: props.onChange
  }, Options));
};

var _default = RadioButton;
exports["default"] = _default;