"use strict";

function _typeof(obj) { "@babel/helpers - typeof"; if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var React = _interopRequireWildcard(require("react"));

var _clsx3 = _interopRequireDefault(require("clsx"));

var _TextareaAutosize = _interopRequireDefault(require("@material-ui/core/TextareaAutosize"));

var _core = require("@material-ui/core");

var _system = require("@mui/system");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }

function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || _typeof(obj) !== "object" && typeof obj !== "function") { return { "default": obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj["default"] = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

var styles = function styles(_ref) {
  var theme = _ref.theme;
  return {
    defaulto: {
      outline: 'none',
      border: '1px solid #ccc',
      backgroundColor: 'white',
      font: 'inherit',
      display: 'block',
      boxSizing: 'border-box',
      marginTop: '2px',
      marginBottom: '2px',
      width: '70px',
      height: '22px'
    }
  };
};

var TextArea = function TextArea(props) {
  var _React$createElement;

  var ElementTag = null;
  var hasStyles = props.style ? true : false;
  var customStyle = props.style ? props.style : '';
  var defaultStyle = {
    outline: 'none',
    border: '1px solid #ccc',
    backgroundColor: 'white',
    font: 'inherit',
    display: 'block',
    boxSizing: 'border-box',
    marginTop: '2px',
    marginBottom: '2px',
    width: '70px',
    height: '22px'
  };
  var invalidStyle = {
    border: '1px solid red',
    backgroundColor: '#fda49a'
  };
  var useStyles = (0, _core.makeStyles)({
    "default": defaultStyle,
    custom: customStyle,
    invalid: invalidStyle
  });
  var customClasses = useStyles();
  return /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement(_TextareaAutosize["default"], (_React$createElement = {
    disabled: true,
    InputProps: {
      className: (0, _clsx3["default"])(customClasses["default"], _defineProperty({}, customClasses.custom, hasStyles), _defineProperty({}, customClasses.invalid, props.invalid && props.shouldValidate && props.touched))
    },
    name: props.name
  }, _defineProperty(_React$createElement, "disabled", props.disabled), _defineProperty(_React$createElement, "value", props.value), _defineProperty(_React$createElement, "minRows", 2), _defineProperty(_React$createElement, "DataColumn", props.DataColumn), _defineProperty(_React$createElement, "DataTable", props.DataTable), _defineProperty(_React$createElement, "placeholder", props.placeHolder), _React$createElement)));
};

var _default = (0, _core.withStyles)(styles)(TextArea);

exports["default"] = _default;