"use strict";

var brotli = require('brotli');

var fs = require('fs');

var path = require('path');

var brotliSettings = {
  extension: 'br',
  skipLarger: true,
  mode: 1,
  // 0 = generic, 1 = text, 2 = font (WOFF2)
  quality: 11,
  // 0 - 11,
  lgwin: 12 // default

};

module.exports = function (filename) {
  var inp = fs.createReadStream(filename);
  var brotliresult = brotli.compress(fs.readFileSync(filename), brotliSettings);
  fs.writeFileSync('dist/' + path.parse(filename).name + '.br', brotliresult);
};