"use strict";

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

var _require = require("clientjs"),
    ClientJS = _require.ClientJS;

var BrowserFingerPrint = /*#__PURE__*/function () {
  function BrowserFingerPrint() {
    _classCallCheck(this, BrowserFingerPrint);

    this.client = new ClientJS();
    this.browserDataUa = this.GetBrowserDataUA();
    this.canvasPrint = this.GetCanvasPrint();
  }

  _createClass(BrowserFingerPrint, [{
    key: "GetBrowserVersion",
    value: function GetBrowserVersion() {
      return this.client.getBrowserVersion();
    }
  }, {
    key: "GetBrowserDataUA",
    value: function GetBrowserDataUA() {
      return this.client.getBrowserData().ua;
    }
  }, {
    key: "GetCanvasPrint",
    value: function GetCanvasPrint() {
      return this.client.getCanvasPrint();
    }
  }, {
    key: "GetUserAgent",
    value: function GetUserAgent() {
      return this.client.getUserAgent();
    }
  }, {
    key: "GetFingerPrint",
    value: function GetFingerPrint() {
      return this.client.getCustomFingerprint(this.browserDataUa, this.canvasPrint);
    }
  }, {
    key: "GetBrowser",
    value: function GetBrowser() {
      return this.client.getBrowser();
    }
  }, {
    key: "GetBrowserMajorVersion",
    value: function GetBrowserMajorVersion() {
      return this.client.getBrowserMajorVersion();
    }
  }, {
    key: "GetEngine",
    value: function GetEngine() {
      return this.client.getEngine();
    }
  }, {
    key: "GetEngineVersion",
    value: function GetEngineVersion() {
      return this.client.getEngineVersion();
    }
  }, {
    key: "GetOS",
    value: function GetOS() {
      return this.client.getOS();
    }
  }, {
    key: "GetOSVersion",
    value: function GetOSVersion() {
      return this.client.getOSVersion();
    }
  }, {
    key: "GetDevice",
    value: function GetDevice() {
      return this.client.getDevice();
    }
  }, {
    key: "GetDeviceType",
    value: function GetDeviceType() {
      return this.client.getDeviceType();
    }
  }, {
    key: "GetDeviceVendor",
    value: function GetDeviceVendor() {
      return this.client.getDeviceVendor();
    }
  }, {
    key: "GetCPU",
    value: function GetCPU() {
      return this.client.getCPU();
    }
  }, {
    key: "GetScreenPrint",
    value: function GetScreenPrint() {
      return this.client.getScreenPrint();
    }
  }, {
    key: "GetColorDepth",
    value: function GetColorDepth() {
      return this.client.getColorDepth();
    }
  }, {
    key: "GetCurrentResolution",
    value: function GetCurrentResolution() {
      return this.client.getCurrentResolution();
    }
  }, {
    key: "GetAvailableResolution",
    value: function GetAvailableResolution() {
      return this.client.getAvailableResolution();
    }
  }, {
    key: "GetDeviceXDPI",
    value: function GetDeviceXDPI() {
      return this.client.getDeviceXDPI();
    }
  }, {
    key: "GetLanguage",
    value: function GetLanguage() {
      return this.client.getLanguage();
    }
  }, {
    key: "GetDeviceYDPI",
    value: function GetDeviceYDPI() {
      return this.client.getDeviceYDPI();
    }
  }, {
    key: "IsJava",
    value: function IsJava() {
      return this.client.isJava();
    }
  }, {
    key: "GetJavaVersion",
    value: function GetJavaVersion() {
      return this.client.getJavaVersion();
    }
  }, {
    key: "IsFlash",
    value: function IsFlash() {
      return this.client.isFlash();
    }
  }, {
    key: "IsSilverlight",
    value: function IsSilverlight() {
      return this.client.isSilverlight();
    }
  }, {
    key: "IsMimeTypes",
    value: function IsMimeTypes() {
      return this.client.isMimeTypes();
    }
  }, {
    key: "GetMimeTypes",
    value: function GetMimeTypes() {
      return this.client.getMimeTypes();
    }
  }, {
    key: "GetFonts",
    value: function GetFonts() {
      return this.client.getFonts();
    }
  }, {
    key: "IsCookie",
    value: function IsCookie() {
      return this.client.isCookie();
    }
  }, {
    key: "GetTimeZone",
    value: function GetTimeZone() {
      return this.client.getTimeZone();
    }
  }, {
    key: "IsWindows",
    value: function IsWindows() {
      return this.client.isWindows();
    }
  }, {
    key: "IsMac",
    value: function IsMac() {
      return this.client.isMac();
    }
  }, {
    key: "IsLinux",
    value: function IsLinux() {
      return this.client.isLinux();
    }
  }, {
    key: "isIE",
    value: function isIE() {
      return this.client.isIE();
    }
  }, {
    key: "IsChrome",
    value: function IsChrome() {
      return this.client.isChrome();
    }
  }, {
    key: "IsFirefox",
    value: function IsFirefox() {
      return this.client.isFirefox();
    }
  }, {
    key: "isSafari",
    value: function isSafari() {
      return this.client.isSafari();
    }
  }, {
    key: "IsOpera",
    value: function IsOpera() {
      return this.client.isOpera();
    }
  }, {
    key: "IsUbento",
    value: function IsUbento() {
      return this.client.isUbuntu();
    }
  }, {
    key: "IsSolaris",
    value: function IsSolaris() {
      return this.client.isSolaris();
    }
  }, {
    key: "GetPlugins",
    value: function GetPlugins() {
      return this.client.getPlugins();
    }
  }, {
    key: "GetSilverLightVersion",
    value: function GetSilverLightVersion() {
      return this.client.getSilverlightVersion();
    }
  }, {
    key: "IsFonts",
    value: function IsFonts() {
      return this.client.isFont();
    }
  }, {
    key: "GetSystemLanguage",
    value: function GetSystemLanguage() {
      return this.client.getSystemLanguage();
    }
  }, {
    key: "IsMobile",
    value: function IsMobile() {
      return this.client.isMobile();
    }
  }, {
    key: "IsMobileAndroid",
    value: function IsMobileAndroid() {
      return this.client.isMobileAndroid();
    }
  }, {
    key: "IsMobileIOS",
    value: function IsMobileIOS() {
      return this.client.isMobileIOS();
    }
  }, {
    key: "IsLocalStorage",
    value: function IsLocalStorage() {
      return this.client.isLocalStorage();
    }
  }, {
    key: "IsSessionStorage",
    value: function IsSessionStorage() {
      return this.client.isSessionStorage();
    }
  }]);

  return BrowserFingerPrint;
}();

module.exports = BrowserFingerPrint;